Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.HandleFileResponseConfig.FetchFileRequestConfig

Enclosing interface:
  Configuration.HandleFileResponseConfig

    public static interface Configuration.HandleFileResponseConfig.FetchFileRequestConfig

For SnF FetchFile request.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getPhysicalDirectoryName()` Gets the physical directory name.
`java.lang.String` | `getPhysicalDirectoryStyle()` Gets the physical directory style (Pattern or Literal).
`java.lang.String` | `getPhysicalFileName()` Gets the physical file name.
`java.lang.String` | `getPhysicalFileStyle()` Gets the physical file style (Pattern or Literal).
`boolean` | `isPhysicalDirectoryLiteral()` Checks whether the physical directory style is Literal.
`boolean` | `isPhysicalDirectoryPattern()` Checks whether the physical directory style is Pattern.
`boolean` | `isPhysicalFileLiteral()` Checks whether the physical file style is Literal.
`boolean` | `isPhysicalFilePattern()` Checks whether the physical file style is Pattern.
`void` | `setPhysicalDirectoryName(java.lang.String physicalDirectoryName)` Sets the physical directory name.
`void` | `setPhysicalDirectoryStyle(java.lang.String physicalDirectoryStyle)` Sets the physical directory style (Pattern or Literal).
`void` | `setPhysicalFileName(java.lang.String physicalFileName)` Sets the physical file name.
`void` | `setPhysicalFileStyle(java.lang.String physicalFileStyle)` Sets the physical file style (Pattern or Literal).
`void` | `validate()` Validate method.

Method Detail

### getPhysicalDirectoryName

    java.lang.String getPhysicalDirectoryName()

  Gets the physical directory name.

  Parameters:
    None.

  Returns:
    `String` - Returns physical directory name.
  Throws:
    None.

### getPhysicalDirectoryStyle

    java.lang.String getPhysicalDirectoryStyle()

  Gets the physical directory style (Pattern or Literal).

  Parameters:
    None.

  Returns:
    `String` - Returns physical directory style.
  Throws:
    None.

### isPhysicalDirectoryPattern

    boolean isPhysicalDirectoryPattern()

  Checks whether the physical directory style is Pattern.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isPhysicalDirectoryLiteral

    boolean isPhysicalDirectoryLiteral()

  Checks whether the physical directory style is Literal.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getPhysicalFileName

    java.lang.String getPhysicalFileName()

  Gets the physical file name.

  Parameters:
    None.

  Returns:
    `String` - Returns physical file name.
  Throws:
    None.

### getPhysicalFileStyle

    java.lang.String getPhysicalFileStyle()

  Gets the physical file style (Pattern or Literal).

  Parameters:
    None.

  Returns:
    `String` - Returns physical file style.
  Throws:
    None.

### isPhysicalFilePattern

    boolean isPhysicalFilePattern()

  Checks whether the physical file style is Pattern.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### isPhysicalFileLiteral

    boolean isPhysicalFileLiteral()

  Checks whether the physical file style is Literal.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### setPhysicalDirectoryName

    void setPhysicalDirectoryName(java.lang.String physicalDirectoryName)
                                  throws SAGApplicationException

  Sets the physical directory name.

  Parameters:
    `physicalDirectoryName` - The physical directory name
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalDirectoryStyle

    void setPhysicalDirectoryStyle(java.lang.String physicalDirectoryStyle)
                                   throws SAGApplicationException

  Sets the physical directory style (Pattern or Literal).

  Parameters:
    `physicalDirectoryStyle` - The physical directory style
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalFileName

    void setPhysicalFileName(java.lang.String physicalFileName)
                             throws SAGApplicationException

  Sets the physical file name.

  Parameters:
    `physicalFileName` - The physical file name
  Throws:
    `SAGApplicationException` - upon error.

### setPhysicalFileStyle

    void setPhysicalFileStyle(java.lang.String physicalFileStyle)
                              throws SAGApplicationException

  Sets the physical file style (Pattern or Literal).

  Parameters:
    `physicalFileStyle` - The physical file style
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validate method.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.